﻿using UnityEngine;
using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            CategoryBuilder.Create("90s in Miami", "90s in Miami mod category", ModAPI.LoadSprite("icon.png"));

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Cuban mafia1", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/mk1t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/mk1.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Cuban mafia2", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/mk2t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/mk2.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Cuban mafia3", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/mk3t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/mk3.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Cuban mafia Hotline Miami1", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/mkhm1t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/mkhm1.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Cuban mafia Hotline Miami2", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/mkhm2t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/mkhm2.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Cuban mafia Hotline Miami3", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/mkhm3t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/mkhm3.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Cuban mafia boss Hotline Miami", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/mkhm4t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/mkhm4.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Russian Mafia Hotline Miami1", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/rmhm1t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/rmhm1.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Russian Mafia Hotline Miami2", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/rmhm2t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/rmhm2.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Russian Mafia Hotline Miami3", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/rmhm3t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/rmhm3.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Russian Mafia Hotline Miami4", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/rmhm4t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/rmhm4.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Russian Mafia Hotline Miami5", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/rmhm5t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/rmhm5.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Russian Mafia. Son of a boss Hotline Miami1", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/rmhm6bosst.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/rmhm6boss.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Russian Mafia. Father boss Hotline Miami", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/rmhm7fazebosst.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/rmhm7fazeboss.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zoe Pound street gang1", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/zp1t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/zp1.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zoe Pound street gang2", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/zp2t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/zp2.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zoe Pound street gang3", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/zp3t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/zp3.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zoe Pound street gang4", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/zp4t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/zp4.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zoe Pound street gang5", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/zp5t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/zp5.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Police1", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/p1t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/p1.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Police2", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/p2t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/p2.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Police3", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/p3t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/p3.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Police4", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/p4t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/p4.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Police5", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/p5t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/p5.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Old cop1", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/p6t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/p6.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Old cop2", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/p7t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/p7.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "SWAT1", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/sw1t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/sw1.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "SWAT2", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/sw2t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/sw2.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "SWAT3", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/sw3t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/sw3.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "SWAT4", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/sw4t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/sw4.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "SWAT5", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/sw5t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/sw5.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Tommy Vercetti, GTA Vice City", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/tommyt.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/tommy.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Lance Vance, GTA Vice City", 
                    DescriptionOverride = "Don`t worry, Tommy, I cover you", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/Lance Vancet.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/Lance Vance.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Military, GTA Vice City1", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/mil1t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/mil1.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Military, GTA Vice City2", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/mil2t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/mil2.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Military, GTA Vice City3", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/mil3t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/mil3.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Military, GTA Vice City4", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/mil4t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/mil4.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Military, GTA Vice City5", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/mil5t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/mil5.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Military, GTA Vice City6", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/mil6t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/mil6.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Military old, GTA Vice City7", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/mil7t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/mil7.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Killers, GTA Vice City Stories1", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/naum1t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/naum1.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Killers, GTA Vice City Stories2", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/naum2t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/naum2.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Killers, GTA Vice City Stories3", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/naum3t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/naum3.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Killers, GTA Vice City Stories4", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/naum4t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/naum4.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Killers, GTA Vice City Stories5", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/naum5t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/naum5.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Biker, GTA Vice City1", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/bauk1t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/bauk1.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Biker, GTA Vice City2", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/bauk2t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/bauk2.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Biker, GTA Vice City3", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/bauk3t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/bauk3.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Biker, GTA Vice City4", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/bauk4t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/bauk4.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Biker, GTA Vice City5", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/bauk5t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/bauk5.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Tommy Vercetti Gang, GTA Vice City1", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/gangtommy1t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/gangtommy1.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Tommy Vercetti Gang, GTA Vice City2", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/gangtommy2t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/gangtommy2.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Tommy Vercetti Gang, GTA Vice City3", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/gangtommy3t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/gangtommy3.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Tommy Vercetti Gang, GTA Vice City4", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/gangtommy4t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/gangtommy4.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Tommy Vercetti Gang, GTA Vice City5", 
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/gangtommy5t.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/gangtommy5.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Tony Montana", 
                    DescriptionOverride = "I love the movie Scarface", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/Tony Montanat.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Humans/Tony Montana.png"); 
                        var flesh = ModAPI.LoadTexture("Flesh.png"); 
                        var bone = ModAPI.LoadTexture("Skeleton.png"); 
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);

                    
					person.SetBruiseColor(38, 0, 110); 
					person.SetSecondBruiseColor(154, 0, 7); 
					person.SetThirdBruiseColor(207, 206, 120); 
					person.SetBloodColour(207, 0, 8); 
					person.SetRottenColour(98, 143, 39); 
					person.SetRottenColour(98, 143, 39); 
                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Body armor", 
                    NameToOrderByOverride = "anis",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/fest12t.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/fest1.png");

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.01f, 0);
                        Vector3 scaleOffset = new Vector3(.0f, .0f);

                        ArmorProperties prop = new ArmorProperties();

                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("sprites/fest1.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 15;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("sprites/fest2.png");
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 10;

                        

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Police helmet",
                    NameToOrderByOverride = "anis",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/phe1t.png"),
                    AfterSpawn = (Instance) =>
                    {

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/phe1.png");

                        int PartCount = 3;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();

                        prop.armorPiece = "Head";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("sprites/phe1.png");

                        Vector2[] points1 = new Vector2[4];
                        points1[0] = new Vector3(.2f, .2f);
                        points1[1] = new Vector3(-.025f, .2f);
                        points1[2] = new Vector3(-.025f, -.2f);
                        points1[3] = new Vector3(.2f, -.2f);
                        prop.customCollider = true;
                        prop.points = points1;
                        prop.armorPoints = 150;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        Instance.FixColliders();
                    }
                }
            );

 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Balaclava SWAT",
                    NameToOrderByOverride = "anis",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/baclava2t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/baclava2.png"); 

                        int PartCount = 3;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();

                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("sprites/baclava2.png");
                        Vector2[] points1 = new Vector2[4];
                        points1[0] = new Vector3(.2f, .2f);
                        points1[1] = new Vector3(-.025f, .2f);
                        points1[2] = new Vector3(-.025f, -.2f);
                        points1[3] = new Vector3(.2f, -.2f);
                        prop.customCollider = true;
                        prop.points = points1;
                        prop.armorPoints = 5;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        Instance.FixColliders();
                    }
                }
            );

 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Balaclava gangsters",
                    NameToOrderByOverride = "anis",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/baclava1t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/baclava1.png"); 

                        int PartCount = 3;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();

                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("sprites/baclava1.png");
                        Vector2[] points1 = new Vector2[4];
                        points1[0] = new Vector3(.2f, .2f);
                        points1[1] = new Vector3(-.025f, .2f);
                        points1[2] = new Vector3(-.025f, -.2f);
                        points1[3] = new Vector3(.2f, -.2f);
                        prop.customCollider = true;
                        prop.points = points1;
                        prop.armorPoints = 5;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("M1 Garand"), 
        NameOverride = "Mendoza, Hotline Miami 2", 
        NameToOrderByOverride = "!anis",
        DescriptionOverride = "", 
        CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/mebdozahmt.png"), 
        AfterSpawn = (Instance) => 
        {
                        ModAPI.KeepExtraObjects();

                        var GunSlide = Instance.transform.Find("Slide");
                        GunSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/mhm2.png");
                        GunSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("colliders/menhb.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();  
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/mhm1.png");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.43f, 0.06f);

                        var childObject = new GameObject("penis2");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        childObject.transform.rotation = Instance.transform.rotation;
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("sprites/mhm3.png");
                        childSprite.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                        childSprite.sortingLayerName = "Middle";
                        childSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;


           
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            
            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm"); 
            customCartridge.name = "Mhms"; 
            customCartridge.Damage *= 1.3f; 
            customCartridge.StartSpeed *= 1f; 
            customCartridge.PenetrationRandomAngleMultiplier *= 2f; 
            customCartridge.Recoil *= 0.8f; 
            customCartridge.ImpactForce *= 2.5f; 
	    firearm.AutomaticFireInterval = 0.07f;
            firearm.InitialInaccuracy = 0.06f;
            firearm.Automatic = true;
           firearm.casingPosition = new Vector2(-0.1f, 0.12f);

            
            firearm.Cartridge = customCartridge;

            
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("sounds/mebdoza hm.wav"),
                
            };


                        Instance.GetComponent<PhysicalBehaviour>().HoldingPositions = new[]
{
                            new Vector3(-0.20f, -0.03f)
                        };


        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "Shield SWAT",
        NameToOrderByOverride = "Amelee",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("90s in Miami"),
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/shieldt.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/shield.png");
            Instance.FixColliders();
            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
            Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 1f;
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("M1 Garand"), 
        NameOverride = "SPAS 12,GTA Vice City", 
        NameToOrderByOverride = "!anis",
        DescriptionOverride = "", 
        CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/spat.png"), 
        AfterSpawn = (Instance) => 
        {

                        ModAPI.KeepExtraObjects();

                        var GunSlide = Instance.transform.Find("Slide");
                        GunSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/spasslider.png");
                        GunSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("colliders/spashb.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders(); 
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/spashf.png");
            Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 6;


                        var childObject = new GameObject("penis");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        childObject.transform.rotation = Instance.transform.rotation;
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("sprites/spasmask.png");
                        childSprite.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                        childSprite.sortingLayerName = "Middle";
                        childSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

           
            var firearm = Instance.GetComponent<FirearmBehaviour>();
            Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.62f, 0.07f);

            
            Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm"); 
            customCartridge.name = "folded pizza"; 
            customCartridge.Damage *= 3.7f; 
            customCartridge.StartSpeed *= 3f; 
            customCartridge.PenetrationRandomAngleMultiplier *= 0.5f; 
            customCartridge.Recoil *= 0.7f; 
            customCartridge.ImpactForce *= 2.6f; 
	    firearm.AutomaticFireInterval = 0.25f;
            firearm.Automatic = false;
           firearm.casingPosition = new Vector2(-0.32f, 0.14f);
            firearm.InitialInaccuracy = 0.12f;

            
            firearm.Cartridge = customCartridge;

            
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("sounds/spas1.wav"),
                ModAPI.LoadSound("sounds/spas2.wav"),
                
            };
        }
    }
);
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Police baton",
                    NameToOrderByOverride = "Amelee",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/batont.png"),
                    AfterSpawn = (Instance) =>
                    {
                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("colliders/batonhb.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders(); 
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/baton.png");
                                
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        var physp = ModAPI.FindPhysicalProperties("BulletProof").ShallowClone();
                        phys.Properties = physp;
                        physp.SoftImpact = new[]{
                            ModAPI.LoadSound("sounds/b1.mp3"),
                            
                        };
                        physp.HardImpact = new[]{
                            ModAPI.LoadSound("sounds/b2.mp3"),
                            
                        };

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1.4f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1.4f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 1.4f;


                        Instance.GetComponent<PhysicalBehaviour>().HoldingPositions = new[]
{
                            new Vector3(-0.01f, 0.02f)
                        };


                    }
                }
            );

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("M1 Garand"), 
        NameOverride = "M16.Hotline Miami", 
        NameToOrderByOverride = "!anis",
        DescriptionOverride = "", 
        CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/m16t.png"), 
        AfterSpawn = (Instance) => 
        {                    
                        ModAPI.KeepExtraObjects();

                        var GunSlide = Instance.transform.Find("Slide");
                        GunSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/m16slider.png");
                        GunSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("colliders/hm1hb.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders(); 

            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/m16.png");
                        
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.73f, 0.09f);


                        var childObject = new GameObject("penis");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        childObject.transform.rotation = Instance.transform.rotation;
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("sprites/m16mask.png");
                        childSprite.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                        childSprite.sortingLayerName = "Middle";
                        childSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

           
            var firearm = Instance.GetComponent<FirearmBehaviour>();


            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
            customCartridge.name = "patriots";
            customCartridge.Damage *= 1.0f;
            customCartridge.StartSpeed *= 0.9f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
            customCartridge.Recoil *= 2.1f;
            customCartridge.ImpactForce *= 4.0f;
            firearm.AutomaticFireInterval = 0.085f;
            firearm.casingPosition = new Vector2(-0.09f, 0.12f);
            firearm.Automatic = true;





            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("Sounds/m161.wav"),
                ModAPI.LoadSound("Sounds/m162.wav"),
            };

        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("M1 Garand"), 
        NameOverride = "M16.GTA Vice City", 
        NameToOrderByOverride = "!anis",
        DescriptionOverride = "", 
        CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/mgtat.png"), 
        AfterSpawn = (Instance) => 
        {                    
                        ModAPI.KeepExtraObjects();

                        var GunSlide = Instance.transform.Find("Slide");
                        GunSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/mgta1.png");
                        GunSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("colliders/mgtahb.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders(); 

            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/mgta.png");
                        
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.73f, 0.09f);


                        var childObject = new GameObject("penis");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        childObject.transform.rotation = Instance.transform.rotation;
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("sprites/mgta2.png");
                        childSprite.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                        childSprite.sortingLayerName = "Middle";
                        childSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

           
            var firearm = Instance.GetComponent<FirearmBehaviour>();


            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
            customCartridge.name = "patriots";
            customCartridge.Damage *= 1.0f;
            customCartridge.StartSpeed *= 0.9f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
            customCartridge.Recoil *= 2.1f;
            customCartridge.ImpactForce *= 4.0f;
            firearm.AutomaticFireInterval = 0.085f;
            firearm.casingPosition = new Vector2(-0.09f, 0.12f);
            firearm.Automatic = true;





            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("Sounds/m16gtav.wav"),
                ModAPI.LoadSound("Sounds/m16gtav2.wav"),
            };

        }
    }
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Glock 17"),
    NameOverride = "Uzi with silencer, Hotline Miami1,2",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
    NameToOrderByOverride = "4",
    ThumbnailOverride = ModAPI.LoadSprite("thumbs/mxm1t.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var MAC10Slide = Instance.transform.Find("Slide");
        MAC10Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/mxm2.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/mxm1.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.09f;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        firearm.ShotSounds = new AudioClip[]
        {
                ModAPI.LoadSound("sounds/xmu1.wav"),
        };

        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
        customCartridge.name = ".45";
        customCartridge.Damage *= 1.1f;
        customCartridge.StartSpeed *= 1.5f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.6f;
        customCartridge.Recoil *= 1.1f;
        customCartridge.ImpactForce *= 1.1f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
    }
}
);

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Biker helmet, GTA Vice City",
                    NameToOrderByOverride = "anis",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/shlt.png"),
                    AfterSpawn = (Instance) =>
                    {

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/shl.png");

                        int PartCount = 3;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();

                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("sprites/shl.png");

                        Vector2[] points1 = new Vector2[4];
                        points1[0] = new Vector3(.2f, .2f);
                        points1[1] = new Vector3(-.025f, .2f);
                        points1[2] = new Vector3(-.025f, -.2f);
                        points1[3] = new Vector3(.2f, -.2f);
                        prop.customCollider = true;
                        prop.points = points1;
                        prop.armorPoints = 30;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Glock 17"),
    NameOverride = "Uzi, Hotline Miami1,2",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
    NameToOrderByOverride = "4",
    ThumbnailOverride = ModAPI.LoadSprite("thumbs/mxm11t.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var MAC10Slide = Instance.transform.Find("Slide");
        MAC10Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/mxm22.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/mxm11.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.09f;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        firearm.ShotSounds = new AudioClip[]
        {
                ModAPI.LoadSound("sounds/xmu11.wav"),
        };

        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
        customCartridge.name = ".45";
        customCartridge.Damage *= 1.3f;
        customCartridge.StartSpeed *= 1.5f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.6f;
        customCartridge.Recoil *= 1.1f;
        customCartridge.ImpactForce *= 1.1f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
    }
}
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("M1 Garand"), 
        NameOverride = "SMGmp5, GTA Vice City", 
        NameToOrderByOverride = "!anis",
        DescriptionOverride = "Good old GTA Vice City", 
        CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/mpt.png"), 
        AfterSpawn = (Instance) => 
        {
                        ModAPI.KeepExtraObjects();

                        var GunSlide = Instance.transform.Find("Slide");
                        GunSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/mpv2.png");
                        GunSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("colliders/mpvhb.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();  
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/mpv1.png");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.43f, 0.06f);

                        var childObject = new GameObject("penis2");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        childObject.transform.rotation = Instance.transform.rotation;
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("sprites/mpv3.png");
                        childSprite.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                        childSprite.sortingLayerName = "Middle";
                        childSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;


           
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            
            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm"); 
            customCartridge.name = "uzi shit"; 
            customCartridge.Damage *= 0.7f; 
            customCartridge.StartSpeed *= 1f; 
            customCartridge.PenetrationRandomAngleMultiplier *= 2f; 
            customCartridge.Recoil *= 0.8f; 
            customCartridge.ImpactForce *= 2.5f; 
	    firearm.AutomaticFireInterval = 0.07f;
            firearm.InitialInaccuracy = 0.06f;
            firearm.Automatic = true;
           firearm.casingPosition = new Vector2(-0.1f, 0.12f);

            
            firearm.Cartridge = customCartridge;

            
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("Sounds/MP1.wav"),
                ModAPI.LoadSound("Sounds/MP2.wav"),
                
            };


                        Instance.GetComponent<PhysicalBehaviour>().HoldingPositions = new[]
{
                            new Vector3(-0.20f, -0.03f)
                        };


        }
    }
);

ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "Pistol GTA Vice City",
                    NameToOrderByOverride = "!BONpistolm1911",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/pppt.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var GunSlide = Instance.transform.Find("Slide");
                        GunSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/ppp2.png");

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/ppp1.png");
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.22f, 0.08f);

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        Cartridge customCartridge = ModAPI.FindCartridge("38 Special");
                        customCartridge.name = "45acp";
                        customCartridge.Damage = 7f;
                        customCartridge.Recoil = 1.3f;
                        customCartridge.ImpactForce = 1.0f;
                        firearm.Cartridge = customCartridge;
                        firearm.casingPosition = new Vector2(-0.07f, 0.0f);

                        var sound = Instance.GetComponent<FirearmBehaviour>();
                        sound.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("Sounds/pps1.wav"),
                            ModAPI.LoadSound("Sounds/pps2.wav"),
                        };
					}
                }
            );

ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Revolver"),
                    NameOverride = "Revolver Magnum, Hotline Miami",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "!anis",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/gun1t.png"),
                    AfterSpawn = (Instance) =>
                    {


                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("colliders/gunc.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();  
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/gun1.png");
                        
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.37f, 0.07f);

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            
                        {
                ModAPI.LoadSound("sounds/HMr1.wav"),
                
            
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                        customCartridge.name = "Bellutenss";
                        customCartridge.Damage = 7.5f;
                        customCartridge.Recoil = 5f;
                        customCartridge.ImpactForce = 3.0f;
                        firearm.Cartridge = customCartridge;                  
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Light Machine Gun"), 
        NameOverride = "Heavy machine gun M-60.Hotline Miami 2", 
        NameToOrderByOverride = "!anis",
        DescriptionOverride = "", 
        CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/m240thumb.png"), 
        AfterSpawn = (Instance) => 
        {     

                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("colliders/m240hb.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();                
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/m240.png");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.94f, 0.06f);

                      var newBelt = ModAPI.LoadTexture("sprites/m240belt.png");
                        newBelt.wrapMode = TextureWrapMode.Repeat;
                        Instance.GetComponentInChildren<LineRenderer>().material.mainTexture = newBelt;

           
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            
            Cartridge customCartridge = ModAPI.FindCartridge("7.62x51mm"); 
            customCartridge.name = "240"; 
            customCartridge.Damage *= 2.3f; 
            customCartridge.StartSpeed *= 2f; 
            customCartridge.PenetrationRandomAngleMultiplier *= 0.5f; 
            customCartridge.Recoil *= 2f; 
            customCartridge.ImpactForce *= 3f; 
	    firearm.AutomaticFireInterval = 0.12f;
            firearm.casingPosition = new Vector2(-0.1f, 0.12f);
            firearm.Automatic = true;

            
            firearm.Cartridge = customCartridge;

            
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("sounds/hm35.wav"),
                
            };
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Revolver"), 
        NameOverride = "Revolver GTA Vice City", 
        NameToOrderByOverride = "!anis",
        DescriptionOverride = "", 
        CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/ret.png"), 
        AfterSpawn = (Instance) => 
        {
                     
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("colliders/rehb.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();  
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/re111.png");
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.30f, 0.09f);

           
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            
            Cartridge customCartridge = ModAPI.FindCartridge("38 Special"); 
            customCartridge.name = "reichsrevolver"; 
            customCartridge.Damage *= 9f; 
            customCartridge.StartSpeed *= 1f; 
            customCartridge.PenetrationRandomAngleMultiplier *= 0.8f; 
            customCartridge.Recoil *= 0.8f; 
            customCartridge.ImpactForce *= 2.5f; 

            
            firearm.Cartridge = customCartridge;

            
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("sounds/re11.wav"),
                ModAPI.LoadSound("sounds/re22.wav"),
                
            };

        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("M1 Garand"), 
        NameOverride = "AK-47 Hotline Miami 2", 
        NameToOrderByOverride = "!anis",
        DescriptionOverride = "", 
        CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/akt.png"), 
        AfterSpawn = (Instance) => 
        {
                        ModAPI.KeepExtraObjects();

                        var GunSlide = Instance.transform.Find("Slide");
                        GunSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/ak2.png");
                        GunSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("colliders/akhb.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders(); 

            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/ak1.png");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.68f, 0.10f);

                        var childObject = new GameObject("penis");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        childObject.transform.rotation = Instance.transform.rotation;
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("sprites/.png");
                        childSprite.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                        childSprite.sortingLayerName = "Middle";
                        childSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

           
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            
            Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm"); 
            customCartridge.name = "Blyat 2"; 
            customCartridge.Damage *= 3.1f; 
            customCartridge.StartSpeed *= 0.9f; 
            customCartridge.PenetrationRandomAngleMultiplier *= 0.5f; 
            customCartridge.Recoil *= 1.7f; 
            customCartridge.ImpactForce *= 3f; 
	    firearm.AutomaticFireInterval = 0.12f;
            firearm.casingPosition = new Vector2(0.01f, 0.12f);
            firearm.Automatic = true;

            
            firearm.Cartridge = customCartridge;

            
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("sounds/ak.mp3"),
                
            };

        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("M1 Garand"), 
        NameOverride = "Ruger&Kruger, GTA Vice City", 
        NameToOrderByOverride = "!anis",
        DescriptionOverride = "", 
        CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/agtat.png"), 
        AfterSpawn = (Instance) => 
                    {
                        ModAPI.KeepExtraObjects();

                        var GunSlide = Instance.transform.Find("Slide");
                        GunSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/agta2.png");
                        GunSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

                   
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders(); 
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/agta1.png");

            Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.76f, 0.14f);
            Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;


                        var childObject = new GameObject("penis");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        childObject.transform.rotation = Instance.transform.rotation;
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("sprites/agta3.png");
                        childSprite.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                        childSprite.sortingLayerName = "Middle";
                        childSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;


           
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            
            Cartridge customCartridge = ModAPI.FindCartridge("7.62x51mm"); 
            customCartridge.name = "beanss"; 
            customCartridge.Damage *= 1.9f; 
            customCartridge.StartSpeed *= 1.5f; 
            customCartridge.PenetrationRandomAngleMultiplier *= 0.5f; 
            customCartridge.Recoil *= 1f; 
            customCartridge.ImpactForce *= 3f; 
            firearm.casingPosition = new Vector2(-0.16f, 0.10f);
            firearm.Automatic = true;
	    firearm.AutomaticFireInterval = 0.11f;

            
            firearm.Cartridge = customCartridge;

            
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("sounds/agta1.wav"),
                ModAPI.LoadSound("sounds/agta2.wav"),
                
            };

        }
    }
);

ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "Silenced Pistol Hotline Miami, HM2",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "!anis",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/hmpp1t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var MakarovSlide = Instance.transform.Find("Slide");
                        MakarovSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/hmp2.png");

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("colliders/hmhb.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();   

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/hmp1.png");

                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
//                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.32f, 0.07f);

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("sounds/hmp3.wav"),
                
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "Bellut6";
                        customCartridge.Damage = 2.5f;
                        customCartridge.Recoil = 1.3f;
                        customCartridge.ImpactForce = 0.9f;
                        firearm.Cartridge = customCartridge;  

                        Instance.GetComponent<PhysicalBehaviour>().HoldingPositions = new[]
{
                            new Vector3(-0.18f, -0.04f)
                        };
            
        }
    }
); 

ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "Pistol Hotline Miami, HM2",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "!anis",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/hmpp11t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var MakarovSlide = Instance.transform.Find("Slide");
                        MakarovSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/hmp12.png");

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("colliders/hphb.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();   

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/hmp11.png");

                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
//                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("sounds/hmp33.wav"),
                
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "Bellut6";
                        customCartridge.Damage = 3.5f;
                        customCartridge.Recoil = 1.3f;
                        customCartridge.ImpactForce = 1.0f;
                        firearm.Cartridge = customCartridge;  
            
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "Katana, Hotline Miami",
                    NameToOrderByOverride = "!DVAkatana",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/1011t.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/1011.png");
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.5f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.5f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.5f;
                        var phys = Instance.GetComponent<PhysicalBehaviour>().Properties;
                        phys.SharpForceThresholdMultiplier = 3f;
                        phys.Sharp = true;
                        phys.SharpAxes = new[]
                        {
                            new SharpAxis(Vector2.right, -0.2f, 0.1f, true, false),
                            new SharpAxis(Vector2.up, -0.28f, 0.4f, true, false),
                        };
                        

                        Instance.GetComponent<PhysicalBehaviour>().HoldingPositions = new[]
{
                            new Vector3(0.0f, -0.5f)
                        };

                    }
                }
            );

            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Rod"),
                NameOverride = "Smoke Grenade",
                DescriptionOverride = "",
                CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                ThumbnailOverride = ModAPI.LoadSprite("thumbs/smt.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/sm.png", 1);
                    Instance.FixColliders();
                    Material material = new Material(ModAPI.FindMaterial("Sprites-Default"));
                    Material TrailMaterial = new Material(ModAPI.FindMaterial("Sprites-Default"));
                    material.mainTexture = ModAPI.LoadTexture("sprites/dem.png");
                    var sound = ModAPI.LoadSound("sounds/sm1.mp3");

                    Instance.AddComponent<UseEventTrigger>().Action = () =>
                    {
                        
                        Instance.GetComponent<AudioSource>().PlayOneShot(sound);
                        GameObject Particle = new GameObject();
                        Particle.transform.SetParent(Instance.transform, false);
                        Particle.AddComponent<ParticleSystem>();
                        var main = Particle.GetComponent<ParticleSystem>().main;
                        main.startSpeed = 0.4f;
                        Particle.GetComponent<ParticleSystemRenderer>().material = material;
                        var coL = Particle.GetComponent<ParticleSystem>().colorOverLifetime;
                        Particle.GetComponent<ParticleSystem>().simulationSpace = ParticleSystemSimulationSpace.World;
                        coL.color = new ParticleSystem.MinMaxGradient(new Gradient()
                        {
                            mode = GradientMode.Blend,
                            alphaKeys = new GradientAlphaKey[]
                            {
                                new GradientAlphaKey(0,0),
                                new GradientAlphaKey(1,0.2f),
                                new GradientAlphaKey(0,1)
                            },
                            colorKeys = new GradientColorKey[]
                            {
                                new GradientColorKey(new Color(0.3f,0.3f,0.3f),0),
                                new GradientColorKey(new Color(0.3f,0.3f,0.3f),1)
                            }
                        });
                        coL.enabled = true;
                       
                        var rot = Particle.GetComponent<ParticleSystem>().rotationOverLifetime;
                        rot.enabled = true;
                        
                        var shape = Particle.GetComponent<ParticleSystem>().shape;
                        shape.enabled = true;
                        shape.radius = 0;
                        
                        var size = Particle.GetComponent<ParticleSystem>().sizeOverLifetime;
                        size.enabled = true;
                        size.size = new ParticleSystem.MinMaxCurve(0.5f, new AnimationCurve(new Keyframe(0, 4), new Keyframe(0.5f, 5), new Keyframe(1, 6)));
                        main.startLifetime = 12;
                        Particle.GetComponent<ParticleSystemRenderer>().sortingLayerName = "Top";
                    };

                }

            }

        );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Police Hat",
                    NameToOrderByOverride = "anis",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/Police Hatt.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/Police Hat.png"); 

                        int PartCount = 3;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();

                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("sprites/Police Hat.png");
                        Vector2[] points1 = new Vector2[4];
                        points1[0] = new Vector3(.005f, .005f);
                        points1[1] = new Vector3(-.005f, .005f);
                        points1[2] = new Vector3(-.005f, -.015f);
                        points1[3] = new Vector3(.005f, -.005f);
                        prop.customCollider = true;
                        prop.points = points1;
                        prop.armorPoints = 5;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Military cap",
                    NameToOrderByOverride = "anis",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/miht.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/mih.png"); 

                        int PartCount = 3;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();

                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("sprites/mih.png");
                        Vector2[] points1 = new Vector2[4];
                        points1[0] = new Vector3(.005f, .005f);
                        points1[1] = new Vector3(-.005f, .005f);
                        points1[2] = new Vector3(-.005f, -.015f);
                        points1[3] = new Vector3(.005f, -.005f);
                        prop.customCollider = true;
                        prop.points = points1;
                        prop.armorPoints = 5;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Sunglasses",
                    NameToOrderByOverride = "anis",
                    DescriptionOverride = "boy you are cool",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/sht.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/she.png"); 

                        int PartCount = 3;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();

                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("sprites/she.png");
                        Vector2[] points1 = new Vector2[4];
                        points1[0] = new Vector3(.005f, .005f);
                        points1[1] = new Vector3(-.005f, .005f);
                        points1[2] = new Vector3(-.005f, -.015f);
                        points1[3] = new Vector3(.005f, -.005f);
                        prop.customCollider = true;
                        prop.points = points1;
                        prop.armorPoints = 5;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("M1 Garand"), 
        NameOverride = "Pump Shotgun, GTA Vice City", 
        NameToOrderByOverride = "!anis",
        DescriptionOverride = "", 
        CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/pumpt.png"), 
        AfterSpawn = (Instance) => 
        {
                        ModAPI.KeepExtraObjects();

                        var GunSlide = Instance.transform.Find("Slide");
                        GunSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/pump2.png");
                        GunSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("colliders/phb.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders(); 

            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/pump1.png");
            Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.75f, 0.12f);
            Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 6;

                        var childObject = new GameObject("penis");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        childObject.transform.rotation = Instance.transform.rotation;
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("sprites/pump3.png");
                        childSprite.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                        childSprite.sortingLayerName = "Middle";
                        childSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

           
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            
            Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm"); 
            customCartridge.name = "shells"; 
            customCartridge.Damage *= 3.5f; 
            customCartridge.StartSpeed *= 1f; 
            customCartridge.PenetrationRandomAngleMultiplier *= 1f; 
            customCartridge.Recoil *= 0.9f; 
            customCartridge.ImpactForce *= 3f; 
	    firearm.AutomaticFireInterval = 0.25f;
            firearm.Automatic = false;
           firearm.casingPosition = new Vector2(-0.12f, 0.14f);
            firearm.InitialInaccuracy = 0.08f;
  

            
            firearm.Cartridge = customCartridge;

            
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("sounds/pmgta.wav"),
                
            };
        }
    }
);

ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "Cleaver, GTA Vice City, Hotline Miami",
                    NameToOrderByOverride = "!DVAcleaver",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/cleavert.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/cleaver.png");

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.6f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.6f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.6f;

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        var P1 = Instance.AddComponent<BoxCollider2D>();
                        P1.size = new Vector2(0.15f, 0.7f);
                        P1.offset = new Vector2(-0.08f, 0f);
                        P1.GetComponent<PhysicalBehaviour>().colliders = P1.GetComponentsInChildren<Collider2D>();
                        var p2 = Instance.AddComponent<BoxCollider2D>();
                        p2.size = new Vector2(0.3f, 0.4f);
                        p2.offset = new Vector2(0f, 0.15f);
                        p2.GetComponent<PhysicalBehaviour>().colliders = p2.GetComponentsInChildren<Collider2D>();

                        var phys = Instance.GetComponent<PhysicalBehaviour>().Properties;
                        phys.Sharp = true;
                        phys.SharpAxes = new[]
                        {
                            new SharpAxis(Vector2.right, -0.1f, 0.1f, true, false),
                        };
                        Instance.GetComponent<PhysicalBehaviour>().HoldingPositions = new[]
{
                            new Vector3(-0.1f, -0.2f)
                        };
                    }
                }
            );

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
                    NameOverride = "Bat, Hotline Miami",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/Batt.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/Bat.png", 2f);
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Throwing Knife, Hotline Miami",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "",                      
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),             
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/tgkt.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/tgk.png", 1f);                                                                                                               
                                                                                       
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Wrench"),                                                      
                    NameOverride = "Hammer, GTA Vice City",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "",                      
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),             
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/what.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/wha.png", 1f);
                        Instance.FixColliders();                                                                                                               
                                                                                       
                    }
                }
            );

 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
                    NameOverride = "Bat, GTA Vice City",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Will help when the riot of workers begins",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/btgtat.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/btgta.png", 2f);
                    }
                }
            );

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("M1 Garand"), 
        NameOverride = "Short-barreled shotgun, GTA Vice City", 
        NameToOrderByOverride = "!anis",
        DescriptionOverride = "", 
        CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/dgt.png"), 
        AfterSpawn = (Instance) => 
        {

                        ModAPI.KeepExtraObjects();

                        var GunSlide = Instance.transform.Find("Slide");
                        GunSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/dg2.png");
                        GunSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("colliders/dghb.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders(); 
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/dg1.png");
            Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 5;


                        var childObject = new GameObject("penis");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        childObject.transform.rotation = Instance.transform.rotation;
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("sprites/dg3.png");
                        childSprite.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                        childSprite.sortingLayerName = "Middle";
                        childSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

           
            var firearm = Instance.GetComponent<FirearmBehaviour>();
            Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.47f, 0.07f);

            
            Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm"); 
            customCartridge.name = "KS23"; 
            customCartridge.Damage *= 1.0f; 
            customCartridge.StartSpeed *= 2f; 
            customCartridge.PenetrationRandomAngleMultiplier *= 0.5f; 
            customCartridge.Recoil *= 0.7f; 
            customCartridge.ImpactForce *= 4.0f; 
           firearm.casingPosition = new Vector2(-0.16f, 0.08f);
            firearm.InitialInaccuracy = 0.14f;

            
            firearm.Cartridge = customCartridge;

            
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("sounds/dgta1.wav"),
                ModAPI.LoadSound("sounds/dgta2.wav"),
                
            };
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("M1 Garand"), 
        NameOverride = "Uzi, GTA Vice City", 
        NameToOrderByOverride = "!anis",
        DescriptionOverride = "", 
        CategoryOverride = ModAPI.FindCategory("90s in Miami"), 
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/uzit.png"), 
        AfterSpawn = (Instance) => 
        {
                        ModAPI.KeepExtraObjects();

                        var GunSlide = Instance.transform.Find("Slide");
                        GunSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/uzislider.png");
                        GunSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("colliders/uzihb.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();  
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/uzi.png");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.44f, 0.11f);

                        var childObject = new GameObject("penis2");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        childObject.transform.rotation = Instance.transform.rotation;
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("sprites/uzimask.png");
                        childSprite.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                        childSprite.sortingLayerName = "Middle";
                        childSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;


           
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            
            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm"); 
            customCartridge.name = "uzi shit"; 
            customCartridge.Damage *= 1.5f; 
            customCartridge.StartSpeed *= 1f; 
            customCartridge.PenetrationRandomAngleMultiplier *= 2f; 
            customCartridge.Recoil *= 1.5f; 
            customCartridge.ImpactForce *= 3f; 
	    firearm.AutomaticFireInterval = 0.086f;
            firearm.InitialInaccuracy = 0.09f;
            firearm.Automatic = true;
           firearm.casingPosition = new Vector2(-0.1f, 0.12f);

            
            firearm.Cartridge = customCartridge;

            
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("sounds/uzigta1.wav"),
                ModAPI.LoadSound("sounds/uzigta2.wav"),
                
            };


                        Instance.GetComponent<PhysicalBehaviour>().HoldingPositions = new[]
{
                            new Vector3(-0.20f, -0.03f)
                        };


        }
    }
);

ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "Tec9, GTA Vice City",
                    DescriptionOverride = "",
                    NameToOrderByOverride = "!anis",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/tect.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var MakarovSlide = Instance.transform.Find("Slide");
                        MakarovSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/tec2.png");

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("colliders/tec9hb.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();  

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/tec1.png");
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.36f, 0.13f);

                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
                  

                        var childObject = new GameObject("penis");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        childObject.transform.rotation = Instance.transform.rotation;
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("sprites/tec3.png");
                        childSprite.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                        childSprite.sortingLayerName = "Middle";
                        childSprite.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("sounds/tec11.wav"),
                ModAPI.LoadSound("sounds/tec22.wav"),
                
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "Bellutrrr";
                        customCartridge.Damage = 9.5f;
                        customCartridge.Recoil = 0.7f;
                        customCartridge.ImpactForce = 0.5f;
                        firearm.Cartridge = customCartridge;                  
        }
    }
);

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Handgrenade"),
                    NameOverride = "Grenade",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/grt.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/gr.png");
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.30f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.34f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.26f;
                        Instance.GetComponent<ExplosiveBehaviour>().FragmentForce = 2.4f;
                        Instance.GetComponent<ExplosiveBehaviour>().ShockwaveStrength = 1f;
                        Instance.GetComponent<ExplosiveBehaviour>().Range = 5f;
                        Instance.GetComponent<ExplosiveBehaviour>().FragmentationRayCount = 20;
                        Instance.GetComponent<ExplosiveBehaviour>().ShockwaveLiftForce = -999999f;
                        Instance.GetComponent<ExplosiveBehaviour>().DismemberChance = 0.15f;
                        Instance.FixColliders();
                    }
                }
            );
            
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Red Barrel"),
                    NameOverride = "Molotov cocktail",
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/Molotovt.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/Molotov.png");
                        Instance.GetComponent<ExplosiveBehaviour>().ImpactForceThreshold = 4f;
                        Instance.GetComponent<ExplosiveBehaviour>().ArmOnUse = true;
                        Instance.GetComponent<ExplosiveBehaviour>().Range = 3f;
                        Instance.GetComponent<ExplosiveBehaviour>().Delay = 0f;
                        Instance.GetComponent<ExplosiveBehaviour>().ShockwaveStrength = 1;
                        Instance.GetComponent<ExplosiveBehaviour>().ShockwaveLiftForce = 1f;
                        Instance.GetComponent<ExplosiveBehaviour>().BurnPower = 4f;
                        Instance.GetComponent<ExplosiveBehaviour>().ShotExplodeChance = 0.1f;
                        Instance.GetComponent<ExplosiveBehaviour>().DismemberChance = 0f;
                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                    NameOverride = "Underbarrel Grenade Launcher",
                    NameToOrderByOverride = "!BONunderlauncher",
                    DescriptionOverride = "Meet my little friend",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/ubthumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/ub-launcher.png");
                        Instance.FixColliders();
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("Underbarrel Grenade");
                        Instance.GetComponent<ProjectileLauncherBehaviour>().RemoveLaunchedObjectsWithMe = true;
                        Instance.GetComponent<ProjectileLauncherBehaviour>().launchSound = ModAPI.LoadSound("sounds/ub-launcher.mp3");
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 4f;
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
                        Instance.GetComponent<ProjectileLauncherBehaviour>().barrelPosition = new Vector2(0.2f, 0.015f);
                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stielhandgranate"),
                    NameOverride = "Underbarrel Grenade",
                    NameToOrderByOverride = "!BONunderbomb",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("90s in Miami"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/ubgrenadethumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/ubgrenade.png");

                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        var physp = ModAPI.FindPhysicalProperties("Metal").ShallowClone();

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.1f;

                        Instance.GetComponent<ExplosiveBehaviour>().Range = 1f;
                        Instance.GetComponent<ExplosiveBehaviour>().ImpactForceThreshold = 0f;
                        Instance.GetComponent<ExplosiveBehaviour>().Delay = 0f;

                        Instance.FixColliders();
                    }
                }
            );
     
    
                          
        }
    }
}